io.undertow.server.handlers.proxy

## Class SimpleProxyClientProvider

- java.lang.Object
- - io.undertow.server.handlers.proxy.SimpleProxyClientProvider

All Implemented Interfaces:
  ProxyClient

Deprecated.

    @Deprecated
    public class SimpleProxyClientProvider
    extends Object
    implements ProxyClient

Simple proxy client provider. This provider simply proxies to another server, using a a one to one connection strategy. `LoadBalancingProxyClient` should be used instead. This proxy client is too simplistic for real world use cases, and it not set up to use SSL.

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.undertow.server.handlers.proxy.ProxyClient

`ProxyClient.HostProxyTarget, ProxyClient.MaxRetriesProxyTarget, ProxyClient.ProxyTarget`

### Constructor Summary

Constructors
Constructor and Description
`SimpleProxyClientProvider(URI uri)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ProxyClient.ProxyTarget` `findTarget(HttpServerExchange exchange)` Deprecated. Finds a proxy target for this request, returning null if none can be found.
`void` `getConnection(ProxyClient.ProxyTarget target, HttpServerExchange exchange, ProxyCallback<ProxyConnection> callback, long timeout, TimeUnit timeUnit)` Deprecated. Gets a proxy connection for the given request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.undertow.server.handlers.proxy.ProxyClient

`getAllTargets`

### Constructor Detail

#### SimpleProxyClientProvider

    public SimpleProxyClientProvider(URI uri)

Deprecated.

### Method Detail

#### findTarget

    public ProxyClient.ProxyTarget findTarget(HttpServerExchange exchange)

Deprecated.
Description copied from interface: `ProxyClient`
Finds a proxy target for this request, returning null if none can be found. If this method returns null it means that there is no backend available to handle this request, and it should proceed as normal.

Specified by:
  `findTarget` in interface `ProxyClient`
Parameters:
  `exchange` - The exchange
Returns:
  The proxy target

#### getConnection

    public void getConnection(ProxyClient.ProxyTarget target,
                              HttpServerExchange exchange,
                              ProxyCallback<ProxyConnection> callback,
                              long timeout,
                              TimeUnit timeUnit)

Deprecated.
Description copied from interface: `ProxyClient`
Gets a proxy connection for the given request.

Specified by:
  `getConnection` in interface `ProxyClient`
  `exchange` - The exchange
  `callback` - The callback
  `timeout` - The timeout
  `timeUnit` - Time unit for the timeout